Bug 969451 - "Enable this account" does nothing if account didn't have password.
"Enable this account" does nothing if account didn't have password.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 08:48 EDT by Vojtěch Boček
Modified: 2015-01-13 07:58 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-13 07:58:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vojtěch Boček 2013-05-31 08:48:04 EDT
Description of problem:
In control-center -> users is password change dialog, which has "Action" combo box. If user with no password is disabled, "Enable this account" doesn't do anything.

Version-Release number of selected component (if applicable):
Fedora 19
control-center-3.8.2-1.fc19.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Go to Settings -> Users
2. Create new user.
3. Click on password option of this user
4. Select "Enable this user" in Action combo box
5. Click "Change".

Actual results:
"Password" goes from ***** back to disabled after a few seconds. This also works if previously created user with no password is disabled, not only on new accounts.

Expected results:
"Enable this account" on user who previously didn't have any password should probably set no password to this account, which means it would do the same thing as "Log in without password".

This options is also pretty poorly named, see bug 969449.
Comment 1 Fedora End Of Life 2015-01-09 13:16:46 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Kamil Páral 2015-01-13 07:58:26 EST
The UI seems to have changed in Fedora 21, now it looks different and the described problem is not there.

Note You need to log in before you can comment on or make changes to this bug.